"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePageData = void 0;
const vue_1 = require("vue");
const vue_router_1 = require("vue-router");
const constants_1 = require("../constants");
function usePageData() {
    const { currentRoute } = vue_router_1.useRouter();
    const classificationSummary = vue_1.inject(constants_1.classificationSummarySymbol);
    const posts = vue_1.inject(constants_1.postsSymbol);
    const cp = vue_1.inject(constants_1.classificationPostsSymbol);
    const classificationPosts = vue_1.computed(() => {
        return (cp.value[currentRoute.value.path] || {});
    });
    return { classificationPosts, classificationSummary, posts };
}
exports.usePageData = usePageData;
